Subject: Re: Relationship of Event to Alarm and Condition&ARC MIBS

From: Randy Presuhn <[email-masked]>
Date: Thu, 27 Dec 2001 13:26:47 -0800 (PST)

Hi -

> Message-Id: <[email-masked]>
> To: "Romascanu, Dan (Dan)" <[email-masked]>
> Cc: [email-masked]
> Subject: Re: Relationship of Event to Alarm and Condition&ARC MIBS 
> From: Jon Saperia <[email-masked]>
> In-reply-to: Your message of Thu, 08 Nov 2001 18:00:55 +0200.
>              <[email-masked]> 
> Date: Thu, 08 Nov 2001 11:08:49 -0500
...
> Dan, thanks for the quick reply. I have three suggestions for
> the Alarm MIB and Condition and ARC MIB Drafts. I say this because it
> was not clear to me the nature of this relationship in the two drafts.
> 
>      1. The Alarm MIB Draft should specificlly mention the event MIB and
>      the relationship of objects in each and role in a fault/event/alarm
>      system.
> 
>      2. The same connections should be made for the condition/arc
>      document. I do see that in may ways one sees these as different,
>      but they to my way of thinking are related. A condition might also
>      be associated with one or more events and/or alarms.
> 
>      3. If ot for the condition document, at least for the Alarm
>      document we should talk about not all alarms need be faults. My
>      specific point is that performance alerts (over/under utilization)
>      information also fits here. While the focus might appropriately be
>      on faults, these mechanims as everyone probably knows would work
>      well for performance and service level management. I can even see
>      this connecting nicely with the remote ops MIB.
...

In addition to Jon's suggestions, it might make sense to include some
words in the terminology section where it currently says:

| Event
|    Something that happens which may be of interest to a management
|    station. A fault, a change in status, crossing a threshold, or an
|    external input to the system, for example.

I'd suggest adding a reference to the Event MIB as a specific
example of how these things are detected.

 ------------------------------------------------------
 Randy Presuhn          BMC Software, Inc.  1-3141
 [email-masked]  2141 North First Street
 Tel: +1 408 546-1006   San José, California 95131  USA
 ------------------------------------------------------
 My opinions and BMC's are independent variables.
 ------------------------------------------------------